%define module	WWW-HostipInfo
%define name	perl-%{module}
%define version	0.08
%define release %mkrel 8

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Get a country and city information from ip address
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/modules/by-module/WWW/%{module}-%{version}.tar.bz2
BuildRequires: perl(LWP::UserAgent)
BuildArch:  noarch
Buildroot:	%{_tmppath}/%{name}-%{version}


%description
Get a country and city information from ip address via www.hostip.info API.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check

# Of course network test don't work on cluster...
# %%make test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/WWW
%{_mandir}/*/*


%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-8mdv2009.0
+ Revision: 258788
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-7mdv2009.0
+ Revision: 246708
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-5mdv2008.1
+ Revision: 137219
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-4mdv2008.1
+ Revision: 137107
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 13 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-3mdv2007.0
+ Revision: 83895
- disable test to please to iurt
- fix buildrequires
- first mdv package
- Create perl-WWW-HostipInfo

